## cairo-dock-plug-ins 3.2.99.beta1.1~20130827~bzr2928

=== CMakeLists.txt ===
########### requirements ###############

cmake_minimum_required (VERSION 2.6)
find_package (PkgConfig)
include (CheckLibraryExists)
include (CheckIncludeFiles)
include (CheckFunctionExists)
include (CheckSymbolExists)
include ("${CMAKE_CURRENT_SOURCE_DIR}/cmake_modules/GNUInstallDirs.cmake")

########### project ###############

project ("cairo-dock-plugins")
set (VERSION "3.2.99.beta1")

add_definitions (-std=c99 -Wall -Werror-implicit-function-declaration) # -Wextra -Wwrite-strings -Wuninitialized -Werror-implicit-function-declaration -Wstrict-prototypes -Wreturn-type -Wparentheses -Warray-bounds)
if (NOT DEFINED CMAKE_BUILD_TYPE)
	add_definitions (-O3)
endif()
add_definitions (-DGL_GLEXT_PROTOTYPES="1")

############ sources tarball #############

set (CPACK_SOURCE_GENERATOR "TGZ")
set (CPACK_SOURCE_PACKAGE_FILE_NAME "${CMAKE_PROJECT_NAME}-${VERSION}")
set (CPACK_SOURCE_IGNORE_FILES
	"/build/;/.bzr/;bzrignore$;/misc/;~$;${CPACK_SOURCE_IGNORE_FILES}")
include (CPack)

add_custom_target(dist
	COMMAND ${CMAKE_MAKE_PROGRAM} package_source)
add_custom_target(dist-bzr
	COMMAND bzr export ${CMAKE_PROJECT_NAME}-${VERSION}.tar.gz
	WORKING_DIRECTORY ${CMAKE_SOURCE_DIR})

############ uninstall #############

configure_file (${CMAKE_CURRENT_SOURCE_DIR}/cmake_uninstall.cmake.in ${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake IMMEDIATE @ONLY)
add_custom_target (uninstall "${CMAKE_COMMAND}" -P "${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake")

########### global variables ###############

if( WIN32 )
	message(FATAL_ERROR "Cairo-Dock requires an air-conditioned room. Please close Windows!")
endif( WIN32 )

set (PACKAGE ${CMAKE_PROJECT_NAME})
set (GETTEXT_PACKAGE ${PACKAGE})

if ("${PACKAGEMENT}" STREQUAL "") ## do not check if we're using the same version when packaging the application (e.g. if we just want to generate a tarball of a previous version)
	# we need GLDI which contains most global var: check it now to avoid many errors with regex
	pkg_check_modules (GLDI REQUIRED gldi=${VERSION})
	if (NOT GLDI_FOUND)
		execute_process(
			COMMAND pkg-config --modversion gldi  # 2.2.0-3
			OUTPUT_VARIABLE dock_version)
		if (NOT "${PACKAGEMENT}" STREQUAL "")
			STRING (REGEX REPLACE "\n" "" dock_version ${dock_version})
		endif ()
		MESSAGE (FATAL_ERROR "Error: version mismatch with the core: ${VERSION} <> ${dock_version}")
	endif ()
endif ()

set (dock_version ${VERSION}) # should be the same except if PACKAGEMENT is set

# get plug-ins install dir
execute_process(
    COMMAND pkg-config gldi --variable=pluginsdir  # /usr/lib/cairo-dock # or /usr/lib/x86_64-linux-gnu/cairo-dock
    OUTPUT_VARIABLE pluginsdir)
STRING (REGEX REPLACE "\n" "" pluginsdir ${pluginsdir})  # remove the \n
# get plug-ins data dir
execute_process(
    COMMAND pkg-config gldi --variable=pluginsdatadir  # /usr/share/cairo-dock/plug-ins
    OUTPUT_VARIABLE pluginsdatadir)
STRING (REGEX REPLACE "\n" "" pluginsdatadir ${pluginsdatadir})
# get prefix dir
execute_process(
    COMMAND pkg-config gldi --variable=prefix  # /usr/share/cairo-dock/plug-ins
    OUTPUT_VARIABLE prefix)
STRING (REGEX REPLACE "\n" "" prefix ${prefix})
# get GTK version (must be the same as the core, as GTK2 and GTK3 can't coexist at runtime)
execute_process(
    COMMAND pkg-config gldi --variable=gtkversion  # 2 or 3
    OUTPUT_VARIABLE gtkversion)
STRING (REGEX REPLACE "\n" "" gtkversion ${gtkversion})

# check that installation dir matches with the core
GET_FILENAME_COMPONENT(libdir "${pluginsdir}/.." ABSOLUTE)  # /usr/lib # or /usr/lib/x86_64-linux-gnu
GET_FILENAME_COMPONENT(datadir "${pluginsdatadir}/../.." ABSOLUTE)  # /usr/share
if (NOT "${CMAKE_INSTALL_PREFIX}" STREQUAL "${prefix}"
		OR NOT "${CMAKE_INSTALL_PREFIX}/${CMAKE_INSTALL_LIBDIR}" STREQUAL "${libdir}"
		OR NOT "${CMAKE_INSTALL_PREFIX}/${CMAKE_INSTALL_DATAROOTDIR}" STREQUAL "${datadir}")
	message (STATUS "It seems that the current CMAKE_INSTALL_{PREFIX,LIBDIR,DATAROOTDIR} flags are not the same that you have used with the core.")
	message (STATUS " It will be replaced by this value: ${prefix}")
	message (WARNING "Plug-ins should be installed in the same directory as the core, that is to say in ${pluginsdir}")
	set (CMAKE_INSTALL_PREFIX "${prefix}")
	#set (libdir "${CMAKE_INSTALL_PREFIX}/${libname}/cairo-dock")
endif()

# set internationalisation
set (GETTEXT_PLUGINS "cairo-dock-plugins")
set (localedir "${prefix}/${CMAKE_INSTALL_LOCALEDIR}")
set (gaugesdir "${datadir}/cairo-dock/gauges")

set(CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/cmake_modules/")  # additionnal FindPackage files

set (MODULES_MISSING "")
set (MODULES_INTEGRATION_MISSING "")
set (PROGRAMS_MISSING "")


###########     Misc     ###############
macro (enable_if_not_defined MODULE1)
	if (NOT DEFINED ${MODULE1}) # true if not defined
		set (${MODULE1} TRUE)
	endif ()
endmacro (enable_if_not_defined)


##########     Config    ###############

enable_if_not_defined (force-icon-in-menus)
if (force-icon-in-menus)  # we believe that not showing icons in the menus by default is a terrible idea; unfortunately, it's not easily undoable for an end-user; so until this is fixed by a big player (Gnome, Ubuntu or other), we'll force the display, unless "-Dforce-icon-in-menus=yes" is provided in the cmake command.
	add_definitions (-DCAIRO_DOCK_FORCE_ICON_IN_MENUS=1)
else()
	add_definitions (-DCAIRO_DOCK_FORCE_ICON_IN_MENUS=0)
endif()


########### dependancies ###############

message ("")
message (STATUS "=====================")
message (STATUS "Check dependencies...")
message (STATUS "=====================")
message ("")

pkg_check_modules ("PACKAGE" REQUIRED "gldi")  # we check first the common libs that most plug-ins would need: basically, all the libs used by the core.
STRING (REGEX REPLACE "gldi;" "" PACKAGE_LIBRARIES "${PACKAGE_LIBRARIES}")  # but we don't want to link to gldi, since we are dl-opened by it.

# add_definitions (-DGTK_DISABLE_DEPRECATED="1")

#############    GLIB    #################
pkg_check_modules (GLIB glib-2.0)
	STRING (REGEX REPLACE "\\..*" "" GLIB_MAJOR "${GLIB_VERSION}") # 2.28.3 => 2
	STRING (REGEX REPLACE "[0-9]*\\.([^ ]+)" "\\1" GLIB_MINOR "${GLIB_VERSION}")  # 2.28.3 => 2.28
	STRING (REGEX REPLACE "\\.[0-9]*" "" GLIB_MINOR "${GLIB_MINOR}") # 2.28 => 28
	STRING (REGEX REPLACE ".*\\." "" GLIB_NANO "${GLIB_VERSION}") # 2.28.3 => 3
	STRING (REGEX REPLACE "-.*" "" GLIB_NANO "${GLIB_NANO}")

############# SHARED-FILES #################
set (shared_filesdatadir "${pluginsdatadir}/shared-files")
add_subdirectory (shared-files)

############# STATIC LIBRARIES ################
message (STATUS "> Static Libraries:")

############# GVFS-INTEGRATION ################
message (STATUS "> GVFS-Integration:")
pkg_check_modules ("LIBGIO" "gio-2.0") ## GIO is used by a few applets: do not offer the possibility to not disable it
add_subdirectory (gvfs-integration)

############# INDICATOR-APPLET #################
message (STATUS "> Indicator-Applet:")
enable_if_not_defined (enable-dbusmenu-support)
if (enable-dbusmenu-support)
	# Note: the names of dbusmenu-glib, dbusmenu-gtk and indicator have changed...
	## DBusMenu Glib
	set (DBUSMENU_MODULE dbusmenu-glib-0.4)
	pkg_check_modules (DBUSMENU ${DBUSMENU_MODULE})
	if (NOT DBUSMENU_FOUND)
		set (DBUSMENU_MODULE dbusmenu-glib)
		pkg_check_modules (DBUSMENU ${DBUSMENU_MODULE})
		set (INDICATOR_APPLICATIONADDED_HAS_HINT 0) # doesn't have 'hint' with old version
	else ()
		set (INDICATOR_APPLICATIONADDED_HAS_HINT 1) # now the ApplicationAdded signal (Status-Notifier) has a new parameter (hint) => https://code.launchpad.net/~ted/indicator-application/name-hints/+merge/67213
	endif()

	## DBusMenu Gtk
	if (gtkversion EQUAL 2)
		set (DBUSMENU_GTK_MODULE dbusmenu-gtk-0.4)
	else()
		set (DBUSMENU_GTK_MODULE dbusmenu-gtk3-0.4)
	endif()
	pkg_check_modules (DBUSMENU_GTK ${DBUSMENU_GTK_MODULE})
	if (NOT DBUSMENU_GTK_FOUND)
		if (gtkversion EQUAL 2)
			set (DBUSMENU_GTK_MODULE dbusmenu-gtk)
		else()
			set (DBUSMENU_GTK_MODULE dbusmenu-gtk3)
		endif()
		pkg_check_modules (DBUSMENU_GTK ${DBUSMENU_GTK_MODULE})
	endif()
endif()

## Indicator
enable_if_not_defined (enable-indicator-support)
if (enable-indicator-support)
	if (gtkversion EQUAL 2)
		set (INDICATOR_APPLET_MODULE indicator-0.4)
	else()
		set (INDICATOR_APPLET_MODULE indicator3-0.4)
	endif()
	pkg_check_modules (INDICATOR_APPLET ${INDICATOR_APPLET_MODULE})
	if (INDICATOR_APPLET_FOUND)
		set (INDICATOR_NEW_VERSION TRUE)  # oneiric and newer
	else()
		if (gtkversion EQUAL 2)
			set (INDICATOR_APPLET_MODULE indicator)
		else()
			set (INDICATOR_APPLET_MODULE indicator3)
		endif()
		pkg_check_modules (INDICATOR_APPLET ${INDICATOR_APPLET_MODULE})
	endif()
endif()

## libido
enable_if_not_defined (enable-libido-support)
if (enable-libido-support)
	if (gtkversion EQUAL 2)
		set (IDO_MODULE libido-0.1)
	else()
		set (IDO_MODULE libido3-0.1)
	endif()
	pkg_check_modules (IDO ${IDO_MODULE})
	if (IDO_FOUND)
		STRING (REGEX REPLACE "\\..*" "" IDO_MAJOR "${IDO_VERSION}")
		STRING (REGEX REPLACE "[0-9]*\\.([^ ]+)" "\\1" IDO_MINOR "${IDO_VERSION}")  # 0.1.7 => 1.7
		STRING (REGEX REPLACE "\\.[0-9]*" "" IDO_MINOR "${IDO_MINOR}")
		if (${IDO_MAJOR} GREATER 13
		    OR ${IDO_MAJOR} EQUAL 13 AND ${IDO_MINOR} GREATER 9)
			set (INDICATOR_NG 1)
		endif()
	endif()
endif()

## Extract versions of DBusMenu
if (DBUSMENU_FOUND AND DBUSMENU_GTK_FOUND)
	STRING (REGEX REPLACE "\\..*" "" DBUSMENU_MAJOR "${DBUSMENU_VERSION}")
	STRING (REGEX REPLACE "[0-9]*\\.([^ ]+)" "\\1" DBUSMENU_MINOR "${DBUSMENU_VERSION}")  # 0.1.7 => 1.7
	STRING (REGEX REPLACE "\\.[0-9]*" "" DBUSMENU_MINOR "${DBUSMENU_MINOR}")
	STRING (REGEX REPLACE ".*\\." "" DBUSMENU_NANO "${DBUSMENU_VERSION}")
	STRING (REGEX REPLACE "-.*" "" DBUSMENU_NANO "${DBUSMENU_NANO}")

	STRING (REGEX REPLACE "\\..*" "" DBUSMENU_GTK_MAJOR "${DBUSMENU_GTK_VERSION}")
	STRING (REGEX REPLACE "[0-9]*\\.([^ ]+)" "\\1" DBUSMENU_GTK_MINOR "${DBUSMENU_GTK_VERSION}")  # 0.1.7 => 1.7
	STRING (REGEX REPLACE "\\.[0-9]*" "" DBUSMENU_GTK_MINOR "${DBUSMENU_GTK_MINOR}")
	STRING (REGEX REPLACE ".*\\." "" DBUSMENU_GTK_NANO "${DBUSMENU_GTK_VERSION}")
	STRING (REGEX REPLACE "-.*" "" DBUSMENU_GTK_NANO "${DBUSMENU_GTK_NANO}")
	
	if (${DBUSMENU_GTK_MAJOR} GREATER 0 OR ${DBUSMENU_GTK_MINOR} GREATER 5
	    OR (${DBUSMENU_GTK_MINOR} EQUAL 5 AND ${DBUSMENU_GTK_NANO} GREATER 89))
		set (DBUSMENU_GTK3_NEW 1)
		set (INDICATOR_APPLICATIONADDED_HAS_TITLE 1) # Status-Notifier: new parameter "Title" in the "added" signal since Precise
	else()
		set (INDICATOR_APPLICATIONADDED_HAS_TITLE 0)
	endif()
endif()

## Extract version of indicator
if (INDICATOR_APPLET_FOUND)
	STRING (REGEX REPLACE "\\..*" "" INDICATOR_MAJOR "${INDICATOR_APPLET_VERSION}")
	STRING (REGEX REPLACE "[0-9]*\\.([^ ]+)" "\\1" INDICATOR_MINOR "${INDICATOR_APPLET_VERSION}")  # 0.1.7 => 1.7
	STRING (REGEX REPLACE "\\.[0-9]*" "" INDICATOR_MINOR "${INDICATOR_MINOR}")
	STRING (REGEX REPLACE ".*\\." "" INDICATOR_NANO "${INDICATOR_APPLET_VERSION}")
	STRING (REGEX REPLACE "-.*" "" INDICATOR_NANO "${INDICATOR_NANO}")
	
	if (${INDICATOR_MAJOR} GREATER 0 OR ${INDICATOR_MINOR} GREATER 4
	    OR (${INDICATOR_MINOR} EQUAL 4 AND ${INDICATOR_NANO} GREATER 89))
		set (SOUND_SERVICE_VERSION 1) # Sound-Menu: new DBus path
		set (INDICATOR_MESSAGES_HAS_LOZENGE 1)   # Messaging Menu has 'right-is-lozenge'
	else() # older than Precise.
		set (SOUND_SERVICE_VERSION 0)
		set (INDICATOR_MESSAGES_HAS_LOZENGE 0)
	endif()

	if (INDICATOR_NEW_VERSION)  # oneiric and newer
		if (gtkversion EQUAL 2)
			execute_process(
				COMMAND pkg-config --variable=iconsdir indicator-0.4
				OUTPUT_VARIABLE INDICATORICONSDIR)
		else()
			execute_process(
				COMMAND pkg-config --variable=iconsdir indicator3-0.4
				OUTPUT_VARIABLE INDICATORICONSDIR)
			execute_process(
				COMMAND pkg-config --variable=indicatordir indicator3-0.4
				OUTPUT_VARIABLE INDICATORDIR)
			STRING (REGEX REPLACE "\n" "" INDICATORDIR ${INDICATORDIR})
			set (with_indicator3 yes)
			message (STATUS "  Indicators: with Indicator3 support")

=== Animated-icons/src/CMakeLists.txt ===

########### next target ###############

SET(cd-Animated-icons_LIB_SRCS
	applet-init.c 			applet-init.h
	applet-config.c 		applet-config.h
	applet-rotation.c 		applet-rotation.h
	applet-mesh-factory.c 	applet-mesh-factory.h
	applet-notifications.c 	applet-notifications.h
	applet-spot.c 			applet-spot.h
	applet-rays.c 			applet-rays.h
	applet-wobbly.c 		applet-wobbly.h
	applet-wave.c 			applet-wave.h
	applet-pulse.c 			applet-pulse.h
	applet-bounce.c 		applet-bounce.h
	applet-blink.c 			applet-blink.h
	applet-busy.c 			applet-busy.h
	applet-unfold.c 		applet-unfold.h
	applet-struct.h
	chrome-tex.h
)

add_library(${PACKAGE_ANIMATED_ICONS} SHARED ${cd-Animated-icons_LIB_SRCS})

########### compil ###############
add_definitions (-DMY_APPLET_SHARE_DATA_DIR="${animated_iconsdatadir}")
add_definitions (-DMY_APPLET_PREVIEW_FILE="preview.jpg")
add_definitions (-DMY_APPLET_CONF_FILE="Animated-icons.conf")
add_definitions (-DMY_APPLET_USER_DATA_DIR="Animated-icons")
add_definitions (-DMY_APPLET_VERSION="${VERSION_ANIMATED_ICONS}")
add_definitions (-DMY_APPLET_GETTEXT_DOMAIN="${GETTEXT_ANIMATED_ICONS}")
add_definitions (-DMY_APPLET_DOCK_VERSION="${dock_version}")
add_definitions (-DMY_APPLET_ICON_FILE="icon.svg")
add_definitions (-DGL_GLEXT_PROTOTYPES="1")

include_directories (
	${PACKAGE_INCLUDE_DIRS})

link_directories (
	${PACKAGE_LIBRARY_DIRS})

target_link_libraries (${PACKAGE_ANIMATED_ICONS}
	${PACKAGE_LIBRARIES})

install(TARGETS ${PACKAGE_ANIMATED_ICONS} DESTINATION ${pluginsdir})

=== Composite-Manager/src/CMakeLists.txt ===

########### sources ###############

SET(MODULE_SRCS
	applet-struct.h
	applet-init.c 				applet-init.h
	applet-config.c 			applet-config.h
	applet-composite-manager.c	applet-composite-manager.h
	applet-notifications.c 		applet-notifications.h
)

add_library(${PACKAGE_COMPOSITE_MANAGER} SHARED ${MODULE_SRCS})

########### compil ###############
add_definitions (-DMY_APPLET_SHARE_DATA_DIR="${composite_managerdatadir}")
add_definitions (-DMY_APPLET_PREVIEW_FILE="preview.jpg")
add_definitions (-DMY_APPLET_CONF_FILE="Composite-Manager.conf")
add_definitions (-DMY_APPLET_USER_DATA_DIR="Composite-Manager")
add_definitions (-DMY_APPLET_VERSION="${VERSION_COMPOSITE_MANAGER}")
add_definitions (-DMY_APPLET_GETTEXT_DOMAIN="${GETTEXT_COMPOSITE_MANAGER}")
add_definitions (-DMY_APPLET_DOCK_VERSION="${dock_version}")
add_definitions (-DMY_APPLET_ICON_FILE="icon.png")
### uncomment the following line to allow multi-instance applet.
#add_definitions (-DCD_APPLET_MULTI_INSTANCE="1")
### uncomment the following line to allow extended OpenGL drawing.
#add_definitions (-DGL_GLEXT_PROTOTYPES="1")

include_directories (
	${PACKAGE_INCLUDE_DIRS})

link_directories (
	${PACKAGE_LIBRARY_DIRS})

target_link_libraries (${PACKAGE_COMPOSITE_MANAGER}
	${PACKAGE_LIBRARIES})

########### install files ###############

install(TARGETS ${PACKAGE_COMPOSITE_MANAGER} DESTINATION ${pluginsdir})

=== Indicator-Generic/src/CMakeLists.txt ===

########### sources ###############

SET(MODULE_SRCS
	applet-struct.h
	applet-init.c 				applet-init.h
	applet-config.c 			applet-config.h
	applet-notifications.c 		applet-notifications.h
	applet-indicator3.c 		applet-indicator3.h
	applet-launcher.c 			applet-launcher.h
)

add_library(${PACKAGE_INDICATOR_GENERIC} SHARED ${MODULE_SRCS})

########### compil ###############
add_definitions (-DMY_APPLET_SHARE_DATA_DIR="${indicator_genericdatadir}")
add_definitions (-DMY_APPLET_PREVIEW_FILE="preview.jpg")
add_definitions (-DMY_APPLET_CONF_FILE="Indicator-Generic.conf")
add_definitions (-DMY_APPLET_USER_DATA_DIR="Indicator-Generic")
add_definitions (-DMY_APPLET_VERSION="${VERSION_INDICATOR_GENERIC}")
add_definitions (-DMY_APPLET_GETTEXT_DOMAIN="${GETTEXT_INDICATOR_GENERIC}")
add_definitions (-DMY_APPLET_DOCK_VERSION="${dock_version}")
add_definitions (-DMY_APPLET_ICON_FILE="icon.svg")
### uncomment the following line to allow multi-instance applet.
add_definitions (-DCD_APPLET_MULTI_INSTANCE="1")
### uncomment the following line to allow extended OpenGL drawing.
#add_definitions (-DGL_GLEXT_PROTOTYPES="1")

if (INDICATOR_NG)
	add_definitions (-DIS_INDICATOR_NG=1)
endif()

include_directories (
	${PACKAGE_INCLUDE_DIRS}
	${INDICATOR_APPLET_INCLUDE_DIRS}
	${CMAKE_SOURCE_DIR}/Indicator-applet3)

link_directories (
	${PACKAGE_LIBRARY_DIRS}
	${INDICATOR_APPLET_LIBRARY_DIRS}
	${CMAKE_SOURCE_DIR}/Indicator-applet3)

target_link_libraries (${PACKAGE_INDICATOR_GENERIC}
	${PACKAGE_LIBRARIES}
	${INDICATOR_APPLET_LIBRARIES}
	indicator-applet3)

########### install files ###############

install(TARGETS ${PACKAGE_INDICATOR_GENERIC} DESTINATION ${pluginsdir})

=== Sound-Effects/src/CMakeLists.txt ===

########### sources ###############

SET(MODULE_SRCS
	applet-struct.h
	applet-init.c 				applet-init.h
	applet-config.c 			applet-config.h
	applet-sound.c 				applet-sound.h
	applet-notifications.c 		applet-notifications.h
)

add_library(${PACKAGE_SOUND_EFFECTS} SHARED ${MODULE_SRCS})

########### compil ###############
add_definitions (-DMY_APPLET_SHARE_DATA_DIR="${sound_effectsdatadir}")
add_definitions (-DMY_APPLET_PREVIEW_FILE="preview.png")
add_definitions (-DMY_APPLET_CONF_FILE="Sound-Effects.conf")
add_definitions (-DMY_APPLET_USER_DATA_DIR="Sound-Effects")
add_definitions (-DMY_APPLET_VERSION="${VERSION_SOUND_EFFECTS}")
add_definitions (-DMY_APPLET_GETTEXT_DOMAIN="${GETTEXT_SOUND_EFFECTS}")
add_definitions (-DMY_APPLET_DOCK_VERSION="${dock_version}")
add_definitions (-DMY_APPLET_ICON_FILE="icon.svg")
### uncomment the following line to allow multi-instance applet.
#add_definitions (-DCD_APPLET_MULTI_INSTANCE="1")
### uncomment the following line to allow extended OpenGL drawing.
#add_definitions (-DGL_GLEXT_PROTOTYPES="1")

include_directories (
	${ALSA_PACKAGE_INCLUDE_DIRS}
	${PACKAGE_INCLUDE_DIRS})

link_directories (
	${ALSA_PACKAGE_LIBRARY_DIRS}
	${PACKAGE_LIBRARY_DIRS})

target_link_libraries (${PACKAGE_SOUND_EFFECTS}
	${ALSA_PACKAGE_LIBRARIES}
	${PACKAGE_LIBRARIES})

########### install files ###############

install(TARGETS ${PACKAGE_SOUND_EFFECTS} DESTINATION ${pluginsdir})

=== alsaMixer/src/CMakeLists.txt ===

########### sources ###############

set (cd-AlsaMixer_LIB_SRCS
	applet-init.c 				applet-init.h
	applet-config.c 			applet-config.h
	applet-notifications.c 		applet-notifications.h
	applet-draw.c 				applet-draw.h
	applet-generic.c 			applet-generic.h
	# alsa backend
	applet-backend-alsamixer.c 	applet-backend-alsamixer.h
	applet-struct.h)

# Sound service backend (optionnal)
if (INDICATOR_SOUNDMENU_WITH_IND3)
	list (APPEND cd-AlsaMixer_LIB_SRCS
		applet-backend-sound-menu.c applet-backend-sound-menu.h)
elseif (with_soundmenu)
	list (APPEND cd-AlsaMixer_LIB_SRCS
		applet-backend-sound-menu-old.c applet-backend-sound-menu-old.h
		applet-menu.c 				applet-menu.h
		volume-widget.c				volume-widget.h
		voip-input-widget.c			voip-input-widget.h
		transport-widget.c			transport-widget.h
		mute-widget.c				mute-widget.h
		metadata-widget.c			metadata-widget.h)
endif()

add_library (${PACKAGE_ALSA_MIXER} SHARED ${cd-AlsaMixer_LIB_SRCS})

########### compil ###############
add_definitions (-DMY_APPLET_SHARE_DATA_DIR="${alsa_mixerdatadir}")
add_definitions (-DMY_APPLET_PREVIEW_FILE="preview.jpg")
add_definitions (-DMY_APPLET_CONF_FILE="AlsaMixer.conf")
add_definitions (-DMY_APPLET_USER_DATA_DIR="AlsaMixer")
add_definitions (-DMY_APPLET_VERSION="${VERSION_ALSA_MIXER}")
add_definitions (-DMY_APPLET_GETTEXT_DOMAIN="${GETTEXT_ALSA_MIXER}")
add_definitions (-DMY_APPLET_DOCK_VERSION="${dock_version}")
add_definitions (-DMY_APPLET_ICON_FILE="icon.png")

if (INDICATOR_SOUNDMENU_WITH_IND3)
	message (STATUS "   With Indicator-Applet3")
	add_definitions (-DINDICATOR_SOUNDMENU_WITH_IND3=1)
	if (INDICATOR_NG)
		add_definitions (-DIS_INDICATOR_NG=1)
	endif()
	set (EXTRAS_INCLUDE_DIRS ${INDICATOR_APPLET_INCLUDE_DIRS}
		${CMAKE_SOURCE_DIR}/Indicator-applet3)
	set (EXTRAS_LIBRARY_DIRS ${INDICATOR_APPLET_LIBRARY_DIRS}
		${CMAKE_SOURCE_DIR}/Indicator-applet3)
	set (EXTRAS_LIBRARIES ${INDICATOR_APPLET_LIBRARIES} indicator-applet3)
elseif (with_soundmenu)
	add_definitions (-DSOUND_SERVICE_SUPPORT="1")
	add_definitions (-DSOUND_SERVICE_VERSION=${SOUND_SERVICE_VERSION})
	if (${DBUSMENU_GTK3_NEW})
		add_definitions (-DDBUSMENU_GTK3_NEW=1)
	endif()
	set (EXTRAS_INCLUDE_DIRS ${DBUSMENU_INCLUDE_DIRS}
		${DBUSMENU_GTK_INCLUDE_DIRS} ${INDICATOR_APPLET_INCLUDE_DIRS}
		${IDO_INCLUDE_DIRS} ${CMAKE_SOURCE_DIR}/Indicator-applet)
	set (EXTRAS_LIBRARY_DIRS ${DBUSMENU_LIBRARY_DIRS}
		${DBUSMENU_GTK_LIBRARY_DIRS} ${INDICATOR_APPLET_LIBRARY_DIRS}
		${IDO_LIBRARY_DIRS} ${CMAKE_SOURCE_DIR}/Indicator-applet)
	set (EXTRAS_LIBRARIES ${DBUSMENU_LIBRARIES} ${DBUSMENU_GTK_LIBRARIES}
		${INDICATOR_APPLET_LIBRARIES} ${IDO_LIBRARIES} indicator-applet)
endif()

include_directories (
	${PACKAGE_INCLUDE_DIRS}
	${ALSA_MIXER_PACKAGE_INCLUDE_DIRS}
	${EXTRAS_INCLUDE_DIRS})

link_directories (
	${PACKAGE_LIBRARY_DIRS}
	${ALSA_MIXER_PACKAGE_LIBRARY_DIRS}
	${EXTRAS_LIBRARY_DIRS})

target_link_libraries (${PACKAGE_ALSA_MIXER}
	${PACKAGE_LIBRARIES}
	${ALSA_MIXER_PACKAGE_LIBRARIES}
	${EXTRAS_LIBRARIES})

########### install files ###############

install(TARGETS ${PACKAGE_ALSA_MIXER} DESTINATION ${pluginsdir})

=== Dbus/interfaces/mono/CMakeLists.txt ===
	
########### install files ###############

execute_process(COMMAND ${GMCS_EXECUTABLE}
	-target:library
	-pkg:glib-sharp-2.0 -pkg:ndesk-dbus-1.0 -pkg:ndesk-dbus-glib-1.0
	-out:${CMAKE_CURRENT_BINARY_DIR}/CDApplet.dll
	${CMAKE_CURRENT_SOURCE_DIR}/CDApplet.cs ${CMAKE_CURRENT_SOURCE_DIR}/ISubApplet.cs ${CMAKE_CURRENT_SOURCE_DIR}/IApplet.cs)
### find how to register to GAC ...
set (MONO_LIB_DIR "${CMAKE_INSTALL_PREFIX}/lib/cli/cairo-dock-plug-ins")
install (FILES ${CMAKE_CURRENT_BINARY_DIR}/CDApplet.dll
	DESTINATION ${MONO_LIB_DIR})

=== debian/changelog ===
cairo-dock-plug-ins (3.2.99.beta1.1~20130827~bzr2928-0ubuntu1) saucy; urgency=low

  * New upstream snapshot.
  * Short Upstream ChangeLog:
    - Added support of logind in the Logout applet
    - Upgraded the Dbus API to be even more powerful
    - Added a search box in GMenu applet
  * debian/rules:
    - Added DEB_BUILD_PARALLEL flag
    - ROOT_PREFIX CMake flag is no longer needed
  * debian/control:
    - Bumped Cairo-Dock-Core version
    - libzeitgeist-2.0-dev replaces libzeitgeist-dev
    - cairo-dock-plug-ins: removed consolekit and upower dependences:
      logind is now fully supported and used by default
    - cairo-dock-plug-ins: Suggests:
      - Added alacarte: to edit Applications Menu
      - Added new 'indicators' which can be useful for Cairo-Dock Session

 -- Matthieu Baerts (matttbe) <matttbe@ubuntu.com>  Tue, 27 Aug 2013 16:57:30 +0200

=== debian/control ===
Source: cairo-dock-plug-ins
Section: x11
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Matthieu Baerts (matttbe) <matttbe@ubuntu.com>, Julien Lavergne <julien.lavergne@gmail.com>, Matthew Walker <matthaeus123@gmail.com>, Fabrice Rey <fabounet@glx-dock.org>
Build-Depends: cdbs,
               cli-common-dev (>= 0.7),
               cmake,
               debhelper (>= 8.1.3),
               libasound2-dev,
               libcairo2-dev (>= 1.8.0),
               libcurl4-gnutls-dev,
               libdbus-glib-1-dev,
               libdbusmenu-glib-dev,
               libdbusmenu-gtk3-dev,
               libetpan-dev,
               libexif-dev,
               libgl1-mesa-dev | libgl-dev,
               libgldi-dev (>= 3.2.98),
               libglib2.0-cil-dev,
               libglib2.0-dev (>= 2.20),
               libglu1-mesa-dev | libglu-dev,
               libgnome-menu-3-dev,
               libgnutls-dev,
               libgtk-3-dev,
               libical-dev (>= 1.0),
               libido3-0.1-dev,
               libindicator3-dev,
               libndesk-dbus-glib1.0-cil-dev,
               libndesk-dbus1.0-cil-dev,
               libpango1.0-dev,
               libpulse-dev,
               librsvg2-dev (>= 2.22.0),
               libsensors4-dev,
               libupower-glib-dev,
               libvte-2.90-dev,
               libwebkitgtk-3.0-dev,
               libxklavier-dev,
               libxml2-dev,
               libxtst-dev,
               libxxf86vm-dev,
               libzeitgeist-2.0-dev,
               mono-devel,
               mono-gmcs,
               python,
               python3,
               ruby,
               valac,
               x11proto-xf86vidmode-dev
Standards-Version: 3.9.3
Homepage: http://www.glx-dock.org/

Package: cairo-dock-plug-ins-integration
Section: graphics
Architecture: any
Conflicts: cairo-dock-plug-ins (<= 2.0.8.0)
Replaces: cairo-dock-plug-ins (<= 2.0.8.0)
Depends: cairo-dock-core (>= 3.2.98),
         cairo-dock-plug-ins-data (>= ${source:Version}),
         ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Suggests: gvfs
Multi-Arch: same
Description: Plug-ins for Cairo-Dock for a better integration in GNOME, KDE and Xfce
 Cairo-Dock-plug-ins is a set of plug-ins for Cairo-Dock. It provides some new
 functionnalities like controling music players or note-taking, a clock or a
 desktop switcher but also some views, dialogs and desklets skins, etc.
 .
 This package contains plug-ins for a better integration in GNOME, KDE and Xfce.

Package: cairo-dock-plug-ins
Section: graphics
Architecture: any
Conflicts: cairo-dock-plug-ins (<= 2.0.8.0)
Depends: cairo-dock-core (>= 3.2.98),
         cairo-dock-plug-ins-data (>= ${source:Version}),
         curl,
         python,
         wget,
         ${misc:Depends},
         ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends}
Recommends: cairo-dock-plug-ins-dbus-interface-python (>= ${source:Version}),
            cairo-dock-plug-ins-integration (>= ${source:Version})
Suggests: alacarte,
          cairo-dock-plug-ins-dbus-interface-mono (>= ${source:Version}),
          cairo-dock-plug-ins-dbus-interface-ruby (>= ${source:Version}),
          cairo-dock-plug-ins-dbus-interface-vala (>= ${source:Version}),
          compiz,
          gnote,
          indicator-bluetooth,
          indicator-messages,
          indicator-network,
          indicator-printers,
          indicator-sound,
          indicator-sync
Provides: indicator-renderer
Multi-Arch: same
Description: Set of plug-ins for Cairo-Dock
 Cairo-Dock-plug-ins is a set of plug-ins for Cairo-Dock. It provides some new
 functionnalities like controling music players or note-taking, a clock or a
 desktop switcher but also some views, dialogs and desklets skins, etc.

Package: cairo-dock-plug-ins-data
Section: graphics
Architecture: all
Conflicts: cairo-dock-plug-ins (<= 2.0.8.0)
Replaces: cairo-dock-data (<< 3.0.0.1), cairo-dock-plug-ins (<= 2.0.8.0)
Breaks: cairo-dock-data (<< 3.0.0.1)
Depends: ${misc:Depends}
Description: Common files for cairo-dock-plug-ins
 Cairo-Dock-plug-ins is a set of plug-ins for Cairo-Dock. It provides some new
 functionnalities like controling music players or note-taking, a clock or a
 desktop switcher but also some views, dialogs and desklets skins, etc.
 .
 This package contains all images, locales and configuration files for
 cairo-dock-plug-ins.

Package: cairo-dock-plug-ins-dbus-interface-python
Section: graphics
Architecture: all
Replaces: cairo-dock-plug-ins (<< 3.0.0.0beta0)
Breaks: cairo-dock-plug-ins (<< 3.0.0.0beta0)
Depends: cairo-dock-plug-ins (>= ${source:Version}), python, ${misc:Depends}
Description: Python interface to interact with Cairo-Dock by using DBus
 Cairo-Dock-plug-ins is a set of plug-ins for Cairo-Dock. It provides some new
 functionnalities like controling music players or note-taking, a clock or a
 desktop switcher but also some views, dialogs and desklets skins, etc.
 .
 This package contains a Python interface for the DBus plug-in.

Package: cairo-dock-plug-ins-dbus-interface-vala
Section: graphics
Architecture: any
Replaces: cairo-dock-plug-ins (<< 3.0.0.0beta0),
          cairo-dock-plug-ins-data (<< 3.0.0.0beta0)
Breaks: cairo-dock-plug-ins (<< 3.0.0.0beta0),
        cairo-dock-plug-ins-data (<< 3.0.0.0beta0)
Depends: cairo-dock-plug-ins (>= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends}
Suggests: valac
Multi-Arch: same
Description: Vala interface to interact with Cairo-Dock by using DBus
 Cairo-Dock-plug-ins is a set of plug-ins for Cairo-Dock. It provides some new
 functionnalities like controling music players or note-taking, a clock or a
 desktop switcher but also some views, dialogs and desklets skins, etc.
 .
 This package contains a Vala interface for the DBus plug-in.

Package: cairo-dock-plug-ins-dbus-interface-ruby
Section: graphics
Architecture: any
Replaces: cairo-dock-plug-ins (<< 3.0.0.0beta0)
Breaks: cairo-dock-plug-ins (<< 3.0.0.0beta0)
Depends: cairo-dock-plug-ins (>= ${source:Version}), ruby, ${misc:Depends}
Description: Ruby interface to interact with Cairo-Dock by using DBus
 Cairo-Dock-plug-ins is a set of plug-ins for Cairo-Dock. It provides some new
 functionnalities like controling music players or note-taking, a clock or a
 desktop switcher but also some views, dialogs and desklets skins, etc.
 .
 This package contains a Ruby interface for the DBus plug-in.

Package: cairo-dock-plug-ins-dbus-interface-mono
Section: graphics
Architecture: any
Replaces: cairo-dock-plug-ins (<< 3.0.0.0beta0)
Breaks: cairo-dock-plug-ins (<< 3.0.0.0beta0)
Depends: cairo-dock-plug-ins (>= ${source:Version}),
         ${cli:Depends},
         ${misc:Depends}
Description: Mono interface to interact with Cairo-Dock by using DBus
 Cairo-Dock-plug-ins is a set of plug-ins for Cairo-Dock. It provides some new
 functionnalities like controling music players or note-taking, a clock or a
 desktop switcher but also some views, dialogs and desklets skins, etc.
 .
 This package contains a Mono interface for the DBus plug-in.

## cairo-dock-plug-ins 3.2.99.beta2.1~20130919~bzr2946

=== CMakeLists.txt ===
--- 
+++ 
@@ -11,7 +11,7 @@
 ########### project ###############
 
 project ("cairo-dock-plugins")
-set (VERSION "3.2.99.beta1")
+set (VERSION "3.2.99.beta2")
 
 add_definitions (-std=c99 -Wall -Werror-implicit-function-declaration) # -Wextra -Wwrite-strings -Wuninitialized -Werror-implicit-function-declaration -Wstrict-prototypes -Wreturn-type -Wparentheses -Warray-bounds)
 if (NOT DEFINED CMAKE_BUILD_TYPE)

=== GMenu/src/CMakeLists.txt ===

########### sources ###############

SET(cd-GMenu_LIB_SRCS
	applet-init.c
	applet-init.h
	applet-config.c
	applet-config.h
	applet-notifications.c
	applet-notifications.h
	applet-menu.c
	applet-menu.h
	applet-tree.c
	applet-tree.h
	applet-recent.c
	applet-recent.h
	applet-run-dialog.c
	applet-run-dialog.h
	applet-entry.c
	applet-entry.h
	applet-apps.c
	applet-apps.h
	applet-struct.h
)

add_library(${PACKAGE_GMENU} SHARED ${cd-GMenu_LIB_SRCS})

########### compil ###############
add_definitions (-DMY_APPLET_SHARE_DATA_DIR="${gmenudatadir}")
add_definitions (-DMY_APPLET_PREVIEW_FILE="preview.jpg")
add_definitions (-DMY_APPLET_CONF_FILE="GMenu.conf")
add_definitions (-DMY_APPLET_USER_DATA_DIR="GMenu")
add_definitions (-DMY_APPLET_VERSION="${VERSION_GMENU}")
add_definitions (-DMY_APPLET_GETTEXT_DOMAIN="${GETTEXT_GMENU}")
add_definitions (-DMY_APPLET_DOCK_VERSION="${dock_version}")
add_definitions (-DMY_APPLET_ICON_FILE="icon.svg")
add_definitions (-DMY_APPLET_ICON_FILE="icon.svg")
if (${LIBGIO_FOUND})
	add_definitions (-DHAVE_GIO=1)
endif()

include_directories (
	${PACKAGE_INCLUDE_DIRS}
	${GMENU_PACKAGE_INCLUDE_DIRS}
	${LIBGIO_PACKAGE_INCLUDE_DIRS})

link_directories (
	${PACKAGE_LIBRARY_DIRS}
	${GMENU_PACKAGE_LIBRARY_DIRS}
	${LIBGIO_PACKAGE_LIBRARY_DIRS})

target_link_libraries (${PACKAGE_GMENU}
	${PACKAGE_LIBRARIES}
	${GMENU_PACKAGE_LIBRARIES}
	${LIBGIO_PACKAGE_LIBRARIES})

########### install files ###############

install(TARGETS ${PACKAGE_GMENU} DESTINATION ${pluginsdir})



#original Makefile.am contents follow:

# #dnl Process this file with automake to produce Makefile.in
#
#lib_LTLIBRARIES = 
#	libcd-GMenu.la
#
#
#if WITH_GIO_IN_GMENU
#have_gio=-DHAVE_GIO="1"
#endif
#
#libcd_GMenu_la_SOURCES = 
#	applet-init.c
#	applet-init.h
#	applet-config.c
#	applet-config.h
#	applet-notifications.c
#	applet-notifications.h
#	applet-menu-callbacks.c
#	applet-menu-callbacks.h
#	applet-menu.c
#	applet-menu.h
#	applet-util.c
#	applet-util.h
#	applet-recent.c
#	applet-recent.h
#	applet-run-dialog.c
#	applet-run-dialog.h
#	applet-struct.h
#
#
#dock_version = `pkg-config --modversion cairo-dock`
#
#libcd_GMenu_la_CFLAGS = 
#	-I$(top_srcdir)/src
#	$(PACKAGE_CFLAGS)
#	$(GMENU_PACKAGE_CFLAGS)
#	$(GMENU_GIO_CFLAGS) 
#	$(have_gio)
#	-DMY_APPLET_SHARE_DATA_DIR=""${gmenudatadir)""
#	-DMY_APPLET_PREVIEW_FILE=""preview.jpg""
#	-DMY_APPLET_CONF_FILE=""GMenu.conf""
#	-DMY_APPLET_USER_DATA_DIR=""GMenu""
#	-DMY_APPLET_VERSION=""${VERSION_GMENU)""
#	-DMY_APPLET_GETTEXT_DOMAIN=""${GETTEXT_GMENU)""
#	-DMY_APPLET_DOCK_VERSION=""${dock_version)""
#	-DMY_APPLET_ICON_FILE=""icon.svg""
#	-std=c99
#	-Werror-implicit-function-declaration
##	-g -ggdb -W -Wall
#
#
#libcd_GMenu_la_LIBADD = 
#	$(PACKAGE_LIBS) -lm
#	$(GMENU_GIO_LIBS)
#	$(GMENU_PACKAGE_LIBS)
#
#
#libcd_GMenu_la_LDFLAGS =
#	-avoid-version -module

=== Global-Menu/src/CMakeLists.txt ===

########### sources ###############

SET(MODULE_SRCS
	applet-struct.h
	applet-init.c 				applet-init.h
	applet-config.c 			applet-config.h
	applet-notifications.c 		applet-notifications.h
	applet-app.c 				applet-app.h
	applet-draw.c 				applet-draw.h
)

add_library(${PACKAGE_GLOBAL_MENU} SHARED ${MODULE_SRCS})

########### compil ###############
add_definitions (-DMY_APPLET_SHARE_DATA_DIR="${global_menudatadir}")
add_definitions (-DMY_APPLET_PREVIEW_FILE="preview.jpg")
add_definitions (-DMY_APPLET_CONF_FILE="Global-Menu.conf")
add_definitions (-DMY_APPLET_USER_DATA_DIR="Global-Menu")
add_definitions (-DMY_APPLET_VERSION="${VERSION_GLOBAL_MENU}")
add_definitions (-DMY_APPLET_GETTEXT_DOMAIN="${GETTEXT_GLOBAL_MENU}")
add_definitions (-DMY_APPLET_DOCK_VERSION="${dock_version}")
add_definitions (-DMY_APPLET_ICON_FILE="icon.svg")
add_definitions (-DCD_PLUGINS_DIR="${pluginsdir}")
### uncomment the following line to allow multi-instance applet.
#add_definitions (-DCD_APPLET_MULTI_INSTANCE="1")
### uncomment the following line to allow extended OpenGL drawing.
#add_definitions (-DGL_GLEXT_PROTOTYPES="1")
if (${DBUSMENU_GTK3_NEW})
	add_definitions (-DDBUSMENU_GTK3_NEW=1)
endif()

include_directories (
	${PACKAGE_INCLUDE_DIRS}
	${DBUSMENU_INCLUDE_DIRS}
	${DBUSMENU_GTK_INCLUDE_DIRS})

link_directories (
	${PACKAGE_LIBRARY_DIRS}
	${DBUSMENU_LIBRARY_DIRS}
	${DBUSMENU_GTK_LIBRARY_DIRS})

target_link_libraries (${PACKAGE_GLOBAL_MENU}
	${PACKAGE_LIBRARIES}
	${DBUSMENU_LIBRARIES}
	${DBUSMENU_GTK_LIBRARIES})

########### install files ###############

install(TARGETS ${PACKAGE_GLOBAL_MENU} DESTINATION ${pluginsdir})

=== dialog-rendering/src/CMakeLists.txt ===

########### sources ###############

SET(cd-dialog-rendering_LIB_SRCS
	applet-init.c
	applet-init.h
	applet-config.c
	applet-config.h
	applet-renderer-text.c
	applet-renderer-text.h
	applet-decorator-comics.c
	applet-decorator-comics.h
	applet-decorator-modern.c
	applet-decorator-modern.h
	applet-decorator-3Dplane.c
	applet-decorator-3Dplane.h
	applet-decorator-tooltip.c
	applet-decorator-tooltip.h
	applet-decorator-curly.c
	applet-decorator-curly.h
	applet-struct.h
)

add_library(${PACKAGE_DIALOG_RENDERING} SHARED ${cd-dialog-rendering_LIB_SRCS})

########### compil ###############
add_definitions (-DMY_APPLET_SHARE_DATA_DIR="${dialog_renderingdatadir}")
add_definitions (-DMY_APPLET_PREVIEW_FILE="none")
add_definitions (-DMY_APPLET_CONF_FILE="dialog-rendering.conf")
add_definitions (-DMY_APPLET_USER_DATA_DIR="dialog-rendering")
add_definitions (-DMY_APPLET_VERSION="${VERSION_DIALOG_RENDERING}")
add_definitions (-DMY_APPLET_GETTEXT_DOMAIN="${GETTEXT_DIALOG_RENDERING}")
add_definitions (-DMY_APPLET_DOCK_VERSION="${dock_version}")
add_definitions (-DMY_APPLET_ICON_FILE="icon.svg")

include_directories (
	${PACKAGE_INCLUDE_DIRS})

link_directories (
	${PACKAGE_LIBRARY_DIRS})

target_link_libraries (${PACKAGE_DIALOG_RENDERING}
	${PACKAGE_LIBRARIES})

########### install files ###############

install(TARGETS ${PACKAGE_DIALOG_RENDERING} DESTINATION ${pluginsdir})


#original Makefile.am contents follow:

# #dnl Process this file with automake to produce Makefile.in
#
#lib_LTLIBRARIES = 
#	libcd-dialog-rendering.la
#
#
#libcd_dialog_rendering_la_SOURCES = 
#	applet-init.c
#	applet-init.h
#	applet-config.c
#	applet-config.h
#	applet-renderer-text.c
#	applet-renderer-text.h
#	applet-decorator-comics.c
#	applet-decorator-comics.h
#	applet-decorator-modern.c
#	applet-decorator-modern.h
#	applet-decorator-3Dplane.c
#	applet-decorator-3Dplane.h
#	applet-decorator-tooltip.c
#	applet-decorator-tooltip.h
#	applet-decorator-curly.c
#	applet-decorator-curly.h
#	applet-struct.h
#
#
#dock_version = `pkg-config --modversion cairo-dock`
#
#libcd_dialog_rendering_la_CFLAGS = 
#	-I$(top_srcdir)/src
#	$(PACKAGE_CFLAGS)
#	-DMY_APPLET_SHARE_DATA_DIR=""${dialog_renderingdatadir)""
#	-DMY_APPLET_PREVIEW_FILE=""none""
#	-DMY_APPLET_CONF_FILE=""dialog-rendering.conf""
#	-DMY_APPLET_USER_DATA_DIR=""dialog-rendering""
#	-DMY_APPLET_VERSION=""${VERSION_DIALOG_RENDERING)""
#	-DMY_APPLET_GETTEXT_DOMAIN=""${GETTEXT_DIALOG_RENDERING)""
#	-DMY_APPLET_DOCK_VERSION=""${dock_version)""
#	-DMY_APPLET_ICON_FILE=""icon.svg""
#	-std=c99
#	-Werror-implicit-function-declaration
##	-g -ggdb -W -Wall
#
#
#libcd_dialog_rendering_la_LIBADD = 
#	$(PACKAGE_LIBS) -lm
#
#
#libcd_dialog_rendering_la_LDFLAGS =
#	-avoid-version -module

=== Dbus/interfaces/bash/CMakeLists.txt ===

###########  byte-compile the python scripts to .pyc ###############
# the python script goes with other python scripts.
if (NOT "${CMAKE_CURRENT_BINARY_DIR}" STREQUAL "${CMAKE_CURRENT_SOURCE_DIR}")
	# copy *.py to current binary dir (cleaner)
	execute_process(COMMAND cp "${CMAKE_CURRENT_SOURCE_DIR}/setup.py" ${CMAKE_CURRENT_BINARY_DIR})
	execute_process(COMMAND cp "${CMAKE_CURRENT_SOURCE_DIR}/CDBashApplet.py" ${CMAKE_CURRENT_BINARY_DIR})
endif()

if (PYTHON2_FOUND)
	exec_program("${PYTHON2_EXECUTABLE}" "${CMAKE_CURRENT_BINARY_DIR}" ARGS "setup.py" "-q" "build")
endif()
if (PYTHON3_FOUND)
	exec_program("${PYTHON3_EXECUTABLE}" "${CMAKE_CURRENT_BINARY_DIR}" ARGS "setup.py" "-q" "build")  # if both are present, the build sub-folder will not have the same name, so we can build now and then install during the 'make install'.
endif()

########### install files ###############
# Run a custom script with 'make install'
add_custom_target(bash_pyc ALL)
configure_file(${CMAKE_CURRENT_SOURCE_DIR}/BashInstall.cmake.in ${CMAKE_CURRENT_BINARY_DIR}/BashInstall.cmake)
set_target_properties(bash_pyc PROPERTIES POST_INSTALL_SCRIPT ${CMAKE_CURRENT_BINARY_DIR}/BashInstall.cmake)

# and the bash functions goes into the data dir of the applet (didn't find a better place).
install (FILES ${CMAKE_CURRENT_SOURCE_DIR}/CDBashApplet.sh
	DESTINATION ${dbusdatadir}
	PERMISSIONS OWNER_READ OWNER_WRITE OWNER_EXECUTE GROUP_READ GROUP_EXECUTE
WORLD_READ WORLD_EXECUTE)

=== Toons/data/themes/Classic/CMakeLists.txt ===

########### install files ###############

install(FILES  theme.conf 	readme 	toon.svg 	pupil.svg 	eyelid.svg DESTINATION ${toonsdatadir}/themes/Classic)



#original Makefile.am contents follow:

#themedir = $(toonsdatadir)/themes/Classic
#
#theme_DATA =	    \
#	theme.conf\
#	readme\
#	toon.svg\
#	pupil.svg\
#	eyelid.svg
#
#EXTRA_DIST = $(theme_DATA)

=== debian/changelog ===
cairo-dock-plug-ins (3.2.99.beta2.1~20130919~bzr2946-0ubuntu1) saucy; urgency=low

  * New upstream snapshot.
  * Detailed Upstream ChangeLog:
    - GMenu: align the search box entry with all other entries
    - GMenu: now the results replace the current menu instead of adding
      a new window
    - GMenu: Added a separator after the GtkEntry
    - GMenu: app_match: Compare key and properting ignoring cases
    - GMenu: compilation error: With GLib 2.37.93, dirent.h is now included
      (in glib/gdir.h) but '__USE_BSD' is not defined and then DT_DIR and
      DT_LNK are not defined.
    - GMenu-old: also add support for cinnamon-menu-editor
    - Indicator-Generic: No need to reload all indicator if 1 is modified
    - logout: removed unused 'logout required' feature
    - Mail: don't use startup-notify feature since the applet doesn't
      control the application
    - Mail: removed unused variables
    - Music-player: use gldi_icon_launch_command
    - PowerManager: force (re)draw during the init/reload (add emblem)
    - Recent-Events: used a longer search bar (expanded and filled)
    - Recent-Events: update the result each time a new key is pressed
    - Switcher: update the icon if a new window is added/removed or delay
      the update if the wallpaper is modified (to avoid fading effect)
    - Status-Notifier: Hide the icon if there is no item
      (if there is nothing to display)
    - Misc: DBus: Third-party applets: bumped version -> 3.3.0
    - Misc: updated to match the core API -> 3.3-beta2
    - Misc: po: updated translations

 -- Matthieu Baerts (matttbe) <matttbe@ubuntu.com>  Thu, 19 Sep 2013 12:20:10 +0200

=== debian/control ===
--- 
+++ 
@@ -16,7 +16,7 @@
                libetpan-dev,
                libexif-dev,
                libgl1-mesa-dev | libgl-dev,
-               libgldi-dev (>= 3.2.98),
+               libgldi-dev (>= 3.2.99.beta2.1~20130919~bzr1630),
                libglib2.0-cil-dev,
                libglib2.0-dev (>= 2.20),
                libglu1-mesa-dev | libglu-dev,
@@ -55,7 +55,7 @@
 Architecture: any
 Conflicts: cairo-dock-plug-ins (<= 2.0.8.0)
 Replaces: cairo-dock-plug-ins (<= 2.0.8.0)
-Depends: cairo-dock-core (>= 3.2.98),
+Depends: cairo-dock-core (>= 3.2.99.beta2.1~20130919~bzr1630),
          cairo-dock-plug-ins-data (>= ${source:Version}),
          ${misc:Depends}
 Pre-Depends: ${misc:Pre-Depends}
@@ -72,7 +72,7 @@
 Section: graphics
 Architecture: any
 Conflicts: cairo-dock-plug-ins (<= 2.0.8.0)
-Depends: cairo-dock-core (>= 3.2.98),
+Depends: cairo-dock-core (>= 3.2.99.beta2.1~20130919~bzr1630),
          cairo-dock-plug-ins-data (>= ${source:Version}),
          curl,
          python,
